/***************************************************************************
 *   Copyright (C) 2003 by S�astien Laot                                 *
 *   slaout@linux62.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.             *
 ***************************************************************************/

#ifndef BASKET_OPTIONS_H
#define BASKET_OPTIONS_H

#include <tdecmdlineargs.h>
#include <tdelocale.h>

TDECmdLineOptions basket_options[] =
{
	{ "d", 0, 0 },
	{ "debug", I18N_NOOP("Show the debug window"), 0 },
	{ "f", 0, 0 },
	{ "data-folder <folder>", I18N_NOOP("Custom folder where to load and save basket data and application data (useful for debugging purpose)"), 0 },
	{ "h", 0, 0 },
	{ "start-hidden", I18N_NOOP("Hide the main window in the system tray icon on startup"), 0 },
	{ "k", 0, 0 },
#ifndef BASKET_USE_DRKONQI
	{ "use-drkonquy", I18N_NOOP("When crashing, use the standard TDE report dialog instead of sending an email"), 0 },
#endif
	{ "+[file]", I18N_NOOP("Open basket archive or template"), 0 },
	TDECmdLineLastOption
};

#endif // BASKET_OPTIONS_H
